Implement _autofssys, _cladm, _lgrpsys, and _lgrp_home_fast
[kopensolaris-gnu/glibc.git] / FAQ.in
diff --git a/FAQ.in b/FAQ.in
index ba99f9c..227132b 100644 (file)
--- a/FAQ.in
+++ b/FAQ.in
@@ -48,9 +48,10 @@ ports to other operating systems are underway, although a few people have
 expressed interest.
 
 If you have a system not listed above (or in the `README' file) and you are
-really interested in porting it, contact
+really interested in porting it, see the GNU C Library web pages to learn
+how to start contributing:
 
-       <bug-glibc@gnu.org>
+       http://www.gnu.org/software/libc/resources.html
 
 ??binsize      What compiler do I need to build GNU libc?
 
@@ -87,7 +88,7 @@ understand all the features of ELF, including weak and versioned symbols.
 The static library can be compiled with less featureful tools, but lacks key
 features such as NSS.
 
-For Linux or Hurd, you want binutils 2.10.1 or higher.  These are the only
+For Linux or Hurd, you want binutils 2.13 or higher.  These are the only
 versions we've tested and found reliable.  Other versions may work but we
 don't recommend them, especially not when C++ is involved.
 
@@ -146,8 +147,6 @@ them.
   A full build of the PowerPC library took 1h on a PowerPC 750@400Mhz w/
   64MB of RAM, and about 9h on a 601@60Mhz w/ 72Mb.
 
-  If you have some more measurements let me know.
-
 ??     What version of the Linux kernel headers should be used?
 
 {AJ,UD} The headers from the most recent Linux kernel should be used.  The
@@ -375,6 +374,19 @@ For details check also my page <http://www.suse.de/~aj/glibc-mips.html>.
 {SM} You want to use at least gcc 3.2 (together with the right versions
 of all the other tools, of course).
 
+??     `make' fails when running rpcgen the first time,
+       what is going on? How do I fix this?
+
+{CO} The first invocation of rpcgen is also the first use of the recently
+compiled dynamic loader.  If there is any problem with the dynamic loader
+it will more than likely fail to run rpcgen properly. This could be due to
+any number of problems.
+
+The only real solution is to debug the loader and determine the problem
+yourself. Please remember that for each architecture there may be various
+patches required to get glibc HEAD into a runnable state. The best course
+of action is to determine if you have all the required patches.
+
 ? Installation and configuration issues
 
 ??     Can I replace the libc on my Linux system with GNU libc?